%define upstream_name    XML-Atom
%define upstream_version 0.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl Module for Processing Atom Feeds
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
# enable unicode tests (we have LibXML)
Patch0:         enable-unicode-tests.patch
Patch1:         XML-Atom-0.42-Fix-building-on-Perl-without-dot-in-INC.patch
# Tests failed with XML-LibXML-2.0202 due to disable loading external DTDs
# or external entities by default
Patch2:         XML-Atom-0.42-Fix-test-with-XML-LibXML-2.0202.patch

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML) >= 1.690.0
BuildRequires: perl(XML::XPath)
BuildArch:  noarch

Requires:   perl(XML::LibXML)
%description
Perl Module for processing Atoms feed and that provides access to the Atom
API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
export PERL5LIB="$PWD:$PERL5LIB"
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*


%changelog
* Mon Mar 02 2020 tv <tv> 0.420.0-3.mga8
+ Revision: 1552876
- fix testsuite failures
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-2.mga7
+ Revision: 1287294
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 0.420.0-1.mga7
+ Revision: 1131827
- New version 0.42

* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-9.mga6
+ Revision: 1035887
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.410.0-8.mga6
+ Revision: 949281
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.410.0-7.mga5
+ Revision: 789532
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-6.mga5
+ Revision: 748830
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.410.0-5.mga5
+ Revision: 732623
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.410.0-4.mga5
+ Revision: 686895
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.410.0-3.mga4
+ Revision: 516035
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 374940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 154506
- update to 0.41

* Mon Sep 26 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 148251
- update to 0.40

* Tue Jun 21 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 111462
- update to 0.39

* Wed Jun 15 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 107584
- update to 0.38

* Mon Jan 24 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 36700
- mageia rebuild
- imported package perl-XML-Atom

